
package ar.charlycimino.ejemplos;

import java.util.Scanner;

/**
 *
 * @author Charly Cimino
 * Aprendé más Java en mi canal: https://www.youtube.com/c/CharlyCimino
 * Encontrá más código en mi repo de GitHub: https://github.com/CharlyCimino
 */
public class EjercicioIntegrador15 {
    
    static final String NOMBRE_VALIDO = "Pepe";
    static final String CLAVE_VALIDA = "1234";
    static final int INTENTOS_MAX = 3;

    public static void main(String[] args) {
        Scanner input = new Scanner(System.in);
        String nombre, clave;
        int intentos = 0;
        boolean credencialesInvalidas;
        
        do {            
            System.out.print("Nombre: ");
            nombre = input.nextLine();

            System.out.print("Clave: ");
            clave = input.nextLine();
            
            credencialesInvalidas = !nombre.equalsIgnoreCase(NOMBRE_VALIDO) || !clave.equalsIgnoreCase(CLAVE_VALIDA);
            
            intentos++;
            
        } while (credencialesInvalidas && intentos < INTENTOS_MAX);
        
        if (credencialesInvalidas) {
            System.out.println("Se ha bloqueado la cuenta");
        } else {
            System.out.println("Acceso concedido");
        }
        
    }

}
